Activate Host rescue mode feature for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/features/host_rescue_mode/activate

The Rescue mode feature can be activated by performing the POST request to /v1/hosts/dedicated_servers/{server_id}/features/host_rescue_mode/activate with the server ID specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
server_id
string

A unique identifier of a server.

Request Body

FieldDetails
auth_methods
array<string>

The authentication method to log in to the server when it's in the rescue mode. It can be password or ssh_key.

ssh_key_fingerprints?
array<string>

When the SSH key authentication method is selected, it's necessary to specify a certain key.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/l9avRnaG/features/host_rescue_mode/activate" \  -H "Content-Type: application/json" \  -d '{    "auth_methods": [      "password"    ]  }'
{  "name": "host_rescue_mode",  "status": "activation"}